Bug 207163 - E-D-S crashes when searching LDAP addressbooks
E-D-S crashes when searching LDAP addressbooks
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
6
All Linux
low Severity high
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-19 15:28 EDT by Ola Thoresen
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 09:38:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
BugBuddy backtrace (8.52 KB, text/plain)
2006-09-19 15:31 EDT, Ola Thoresen
no flags Details
E-D-S backtrace on i386 (10.80 KB, text/plain)
2006-10-04 15:40 EDT, Ola Thoresen
no flags Details
New backtrace (8.53 KB, text/plain)
2006-10-12 09:14 EDT, Ola Thoresen
no flags Details

  None (edit)
Description Ola Thoresen 2006-09-19 15:28:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.6) Gecko/20060906 Fedora/1.5.0.6-11 Firefox/1.5.0.6 pango-text

Description of problem:
When entering an address in the To: field in a new mail E-D-S crashes when searching for matches for auto completing the address

Version-Release number of selected component (if applicable):
evolution-data-server-1.8.0-1.fc6

How reproducible:
Sometimes


Steps to Reproduce:
1. Start writing a new mail
2. Start entering an address in the To: field
3. Crash

Actual Results:
E-D-S crashes, sometimes taking all he other components of evolution with it.

Expected Results:
Matching addresses should be listed

Additional info:
Adding a dump from bugbuddy to this report after submitting it.
Comment 1 Ola Thoresen 2006-09-19 15:31:20 EDT
Created attachment 136669 [details]
BugBuddy backtrace

This is from an x86_64. I have the same crash on i386 as well.
Can submit similatr traceback if needed.
Comment 2 Kevin Krafthefer 2006-10-04 15:21:05 EDT
please post a traceback to this bug.
Comment 3 Ola Thoresen 2006-10-04 15:40:19 EDT
Created attachment 137764 [details]
E-D-S backtrace on i386

Here you go.
A backtrace from i386.
Fresh as a daisy...
Comment 4 Ola Thoresen 2006-10-04 17:39:17 EDT
Seems to be a lot of missing symbols in the i386 backtrace.  Turns out I have
old versions of the -debuginfo packages.
Upgrading now, will add a new backtrace from i386 in a while.
Comment 5 Ola Thoresen 2006-10-12 09:14:52 EDT
Created attachment 138324 [details]
New backtrace

Now it crashes almost every time i write an email address in the To: or Cc:
field.

evolution-devel-2.8.0-7.fc6
evolution-data-server-1.8.0-11.fc6
evolution-data-server-devel-1.8.0-11.fc6
evolution-debuginfo-2.8.0-7.fc6
evolution-2.8.0-7.fc6
evolution-data-server-debuginfo-1.8.0-11.fc6
Comment 9 Christopher Aillon 2007-04-17 15:45:27 EDT
I thought this was a dupe... can you find the other bug, matt?
Comment 10 Matthew Barnes 2007-10-02 19:47:02 EDT
Is this problem still present in Fedora 8 Test 2 or later?
Comment 11 Matěj Cepl 2007-12-10 16:48:16 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Evolution.
If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 12 Matěj Cepl 2008-01-15 09:38:42 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

{This is mass-closing of all obsolete bugs; if this bug was in your opinion
closed by mistake, please, reopen it with additional information; thanks a lot
and I am sorry for bothering you in such case.}

Note You need to log in before you can comment on or make changes to this bug.